Package org.eclipse.gef.handles

# Class NonResizableHandleKit

java.lang.Object
org.eclipse.gef.handles.NonResizableHandleKit

public class NonResizableHandleKit extends Object
A set of utility methods to create Handles for NonResizable Figures.

See Also:
  - `Handle`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addCornerHandles(GraphicalEditPart part, List<Handle> handles)`
Fills the given List with handles at each corner of a figure.
`static void`
`addCornerHandles(GraphicalEditPart part, List<Handle> handles, DragTracker tracker, Cursor cursor)`
Fills the given List with handles at each corner of a figure.
`static void`
`addHandle(GraphicalEditPart part, List<Handle> handles, int direction)`
Adds a single handle in the given direction to the given List.
`static void`
`addHandle(GraphicalEditPart part, List<Handle> handles, int direction, DragTracker tracker, Cursor cursor)`
Adds a single handle in the given direction to the given List.
`static void`
`addHandles(GraphicalEditPart part, List<Handle> handles)`
Deprecated.
`static void`
`addHandles(GraphicalEditPart part, List<Handle> handles, DragTracker tracker, Cursor cursor)`
Deprecated.
`static void`
`addMoveHandle(GraphicalEditPart f, List<Handle> handles)`
Fills the given List with move borders at each side of a figure.
`static void`
`addMoveHandle(GraphicalEditPart f, List<Handle> handles, DragTracker tracker, Cursor cursor)`
Fills the given List with move borders at each side of a figure.
`static Handle`
`moveHandle(GraphicalEditPart owner)`
Returns a new `MoveHandle` with the given owner.
`static Handle`
`moveHandle(GraphicalEditPart owner, DragTracker tracker, Cursor cursor)`
Returns a new `MoveHandle` with the given owner.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### addCornerHandles

public static void addCornerHandles(GraphicalEditPart part, List<Handle> handles, DragTracker tracker, Cursor cursor)
Fills the given List with handles at each corner of a figure.

Parameters:
  `part` - the handles' GraphicalEditPart
  `handles` - the List to add the four corner handles to
  `tracker` - the handles' DragTracker
  `cursor` - the handles' Cursor

### addCornerHandles

public static void addCornerHandles(GraphicalEditPart part, List<Handle> handles)
Fills the given List with handles at each corner of a figure.

Parameters:
  `part` - the handles' GraphicalEditPart
  `handles` - the List to add the four corner handles to

### addHandle

public static void addHandle(GraphicalEditPart part, List<Handle> handles, int direction)
Adds a single handle in the given direction to the given List.

Parameters:
  `part` - the owner GraphicalEditPart of the handle
  `handles` - the List to add the handle to
  `direction` - the integer constant from PositionConstants that refers to the handle direction

### addHandle

public static void addHandle(GraphicalEditPart part, List<Handle> handles, int direction, DragTracker tracker, Cursor cursor)
Adds a single handle in the given direction to the given List.

Parameters:
  `part` - the owner GraphicalEditPart of the handle
  `handles` - the List to add the handle to
  `direction` - the integer constant from PositionConstants that refers to the handle direction
  `tracker` - the DragTracker to assign to this handle
  `cursor` - the Cursor to use when hovering over this handle

### addHandles

@Deprecated public static void addHandles(GraphicalEditPart part, List<Handle> handles)
Deprecated.
Fills the given List with handles at each corner.

Parameters:
  `part` - the handles' GraphicalEditPart
  `handles` - the List to add the handles to

### addHandles

@Deprecated public static void addHandles(GraphicalEditPart part, List<Handle> handles, DragTracker tracker, Cursor cursor)
Deprecated.
Fills the given List with handles at each corner.

Parameters:
  `part` - the handles' GraphicalEditPart
  `handles` - the List to add the handles to
  `tracker` - the handles' DragTracker
  `cursor` - the handles' Cursor

### addMoveHandle

public static void addMoveHandle(GraphicalEditPart f, List<Handle> handles)
Fills the given List with move borders at each side of a figure.

Parameters:
  `f` - the handles' GraphicalEditPart
  `handles` - the List to add the handles to

### addMoveHandle

public static void addMoveHandle(GraphicalEditPart f, List<Handle> handles, DragTracker tracker, Cursor cursor)
Fills the given List with move borders at each side of a figure.

Parameters:
  `f` - the handles' GraphicalEditPart
  `handles` - the List to add the handles to
  `tracker` - the DragTracker to assign to this handle
  `cursor` - the Cursor to use when hovering over this handle

### moveHandle

public static Handle moveHandle(GraphicalEditPart owner)
Returns a new `MoveHandle` with the given owner.

Parameters:
  `owner` - the GraphicalEditPart that is the owner of the new MoveHandle
Returns:
  the new MoveHandle

### moveHandle

public static Handle moveHandle(GraphicalEditPart owner, DragTracker tracker, Cursor cursor)
Returns a new `MoveHandle` with the given owner.

Parameters:
  `owner` - the GraphicalEditPart that is the owner of the new MoveHandle
  `tracker` - the DragTracker to assign to this handle
  `cursor` - the Cursor to use when hovering over this handle
Returns:
  the new MoveHandle